From 228e45ae9d4596bb9d4e2cbeb057f43653016bed Mon Sep 17 00:00:00 2001
From: Chupligin Sergey <neochapay@gmail.com>
Date: Tue, 18 May 2021 11:20:00 +0300
Subject: [PATCH 1/1] Fix build

---
 contactsd.pro                                 | 3 +--
 plugins/birthday/birthday.pro                 | 5 ++++-
 plugins/calendar/calendar.pro                 | 5 ++++-
 tests/ut_birthdayplugin/ut_birthdayplugin.pro | 5 ++++-
 4 files changed, 13 insertions(+), 5 deletions(-)

diff --git a/contactsd.pro b/contactsd.pro
index 7848386..8e216c4 100644
--- a/contactsd.pro
+++ b/contactsd.pro
@@ -1,9 +1,8 @@
 TEMPLATE = subdirs
 
-SUBDIRS += lib src plugins tests translations
+SUBDIRS += lib src plugins translations
 src.depends = lib
 plugins.depends = src
-tests.depends = src
 
 PACKAGENAME=contactsd
 
diff --git a/plugins/birthday/birthday.pro b/plugins/birthday/birthday.pro
index a49685d..964bb67 100644
--- a/plugins/birthday/birthday.pro
+++ b/plugins/birthday/birthday.pro
@@ -28,9 +28,12 @@ QT -= gui
 CONFIG += plugin
 
 CONFIG += link_pkgconfig
-PKGCONFIG += mlocale5 libmkcal-qt5 KF5CalendarCore
+PKGCONFIG += mlocale5 libmkcal-qt5
 PKGCONFIG += Qt5Contacts contactcache-qt5 qtcontacts-sqlite-qt5-extensions
 
+LIBS += -lmkcal-qt5 -lKF5CalendarCore
+INCLUDEPATH += /usr/include/KF5/KCalendarCore/
+
 CONFIG(coverage):{
 QMAKE_CXXFLAGS += -c -g  --coverage -ftest-coverage -fprofile-arcs
 LIBS += -lgcov
diff --git a/plugins/calendar/calendar.pro b/plugins/calendar/calendar.pro
index 70fb0ac..a5a970c 100644
--- a/plugins/calendar/calendar.pro
+++ b/plugins/calendar/calendar.pro
@@ -7,7 +7,10 @@ QT += contacts-private
 CONFIG += plugin
 
 CONFIG += link_pkgconfig
-PKGCONFIG += accounts-qt5 KF5CalendarCore libmkcal-qt5
+PKGCONFIG += accounts-qt5 libmkcal-qt5
+
+LIBS += -lmkcal-qt5 -lKF5CalendarCore
+INCLUDEPATH += /usr/include/KF5/KCalendarCore/
 
 DEFINES -= QT_NO_CAST_TO_ASCII
 DEFINES -= QT_NO_CAST_FROM_ASCII
diff --git a/tests/ut_birthdayplugin/ut_birthdayplugin.pro b/tests/ut_birthdayplugin/ut_birthdayplugin.pro
index b34843b..a3a62b1 100644
--- a/tests/ut_birthdayplugin/ut_birthdayplugin.pro
+++ b/tests/ut_birthdayplugin/ut_birthdayplugin.pro
@@ -34,7 +34,10 @@ QT -= gui
 QT += testlib
 
 PKGCONFIG += Qt5Contacts
-PKGCONFIG += mlite5 mlocale5 libmkcal-qt5 KF5CalendarCore
+PKGCONFIG += mlite5 mlocale5 libmkcal-qt5
+
+LIBS += -lmkcal-qt5 -lKF5CalendarCore
+INCLUDEPATH += /usr/include/KF5/KCalendarCore/
 
 CONFIG(coverage):{
 QMAKE_CXXFLAGS +=  -ftest-coverage -fprofile-arcs
-- 
2.32.0

